Skip to main content
Server path: /safetyculture-assets | Type: Application | PCID required: Yes

Tools


safetyculture_assets_fields_service_create_field

Create an asset field Parameters:
ParameterTypeRequiredDefaultDescription
namestringNoName of the field.
select_optionsany[]NoOptional. The options of a field select. 100 limit enforced in typefield, but to lower the feedback loop, we enforce it here too.
value_typestringNoValueType of the field.

safetyculture_assets_fields_service_delete_field

Delete an asset field Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of the field to be deleted.

safetyculture_assets_fields_service_list_fields

List asset fields Parameters:
ParameterTypeRequiredDefaultDescription
searchstringNoOptional. Filter asset fields by this search term.

safetyculture_assets_fields_service_update_field

Update an asset field Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesA global unique identifier for a field.
fieldobjectNoField which replaces the one with matching identifier on the server.
update_maskstringYesREQUIRED. The attributes (such as name etc.) you want to update for the field, specified in the parameters. For example, the update_mask=name parameter indicates that only the name will be updated in a request, any other attributes provided in your request body will be ignored.

safetyculture_assets_service_archive_asset

Archive an asset Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of asset to be archived.
bodyobjectYesThe parameters for ArchiveAsset

safetyculture_assets_service_create_asset

Create an asset Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesCustomer specified identifier for the asset. Unique per org.
fieldsany[]NoList of fields based on the type of asset.
profile_imageobjectNoAn image to be set as profile image. The value of media_type must be MEDIA_TYPE_IMAGE.
sitestringNoUnique ID of site to be associated with asset.
type_idstringYesGlobal unique identifier of the asset type.

safetyculture_assets_service_delete_asset

Delete an asset Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of an asset to be deleted.

safetyculture_assets_service_get_asset

Get full detail information of an asset Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of asset to retrieve.

safetyculture_assets_service_get_asset_by_code

Get asset by code Parameters:
ParameterTypeRequiredDefaultDescription
codestringYesThe user-defined unique ID of the asset to retrieve. This ID is user-generated.

safetyculture_assets_service_list_assets

List assets Parameters:
ParameterTypeRequiredDefaultDescription
asset_filtersany[]NoOPTIONAL. The array of asset filters to apply in your request. You can apply multiple filters in a single request.
order_byobjectNoOPTIONAL. The sorting order for the assets in the response. By default, assets are sorted by creation date from the most recent to the least recent.
page_sizeintegerNoOPTIONAL. The number of assets to return. By default, each request returns 50 assets. You can specify a page_size value between 1 to 100.
page_tokenstringNoOPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list assets request.
searchstringNoOPTIONAL. The key words to search for in your request.

safetyculture_assets_service_lookup_assets_by_field

Lookup assets by a field Parameters:
ParameterTypeRequiredDefaultDescription
asset_filtersany[]NoOPTIONAL. The array of asset filters to apply in your request. You can apply multiple filters in a single request.
field_namestringYesREQUIRED. The name of the asset field to match.
order_byobjectNoOPTIONAL. The sorting order for the assets in the response. By default, assets are sorted by creation date from the most recent to the least recent.
page_sizeintegerNoOPTIONAL. The number of assets to return. By default, each request returns 50 assets. You can specify a page_size value between 1 to 100.
page_tokenstringNoOPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list assets request.
string_valuestringNoREQUIRED. The string value of the asset field to match.

safetyculture_assets_service_restore_archived_asset

Restore an archived asset Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of an archived asset to be restored.

safetyculture_assets_service_update_asset

Update an asset Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe unique identifier of an asset. This ID is system-generated.
codestringNoThe user-defined unique identifier of an asset. This ID is user-generated.
created_atstringNoThe date created timestamp of an asset.
fieldsany[]NoThe associated fields of an asset contained in an array. Each asset’s fields are based on its asset type. Please make sure the asset fields you use associated with the specified asset type. You can retrieve the associated fields using the list type and field association endpoint.
inspected_atstringNoThe date last modified inspection of an asset.
mediaany[]NoAll the media directly uploaded to an asset.
modified_atstringNoThe date last modified timetstamp of an asset.
profile_imageobjectNoThe profile image for an asset. If an asset doesn’t have a profile picture, the API will return nil.
siteobjectNoThe assigned site of an asset as object. If an asset is not assigned to a site, the API will return nil.
sourced_from_external_systembooleanNo@deprecated. Use GetAsset API to get the sourced_from_external_system Indicates if an asset is sourced from an external system.
statestringNoThe indicator for whether an asset is active or archived.
typeobjectNoThe asset type of an asset.

safetyculture_assets_service_update_asset_location

Update asset location Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesUnique identifier of the asset.
locationobjectYesThe geometry of the location.

safetyculture_assets_types_service_create_type

Create an asset type Parameters:
ParameterTypeRequiredDefaultDescription
namestringNoREQUIRED. The name you want to set for the asset type.

safetyculture_assets_types_service_get_type

Get an asset type Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesIdentifier of an asset type to retrieve.

safetyculture_assets_types_service_list_types

List asset types Parameters:
ParameterTypeRequiredDefaultDescription
page_sizeintegerNoOPTIONAL. The number of asset types to return. By default, each request returns 50 asset types. You can specify a page_size value between 1 to 100.
page_tokenstringNoOPTIONAL. The value of next_page_token from a previous response. If specified, the API will return the next batch of results following the previous list asset types request.
searchstringNoOPTIONAL. The key words to search for in your request.
type_filtersany[]NoOPTIONAL. The array of asset type filters to apply in your request. You can apply multiple filters in a single request.

safetyculture_assets_types_service_update_type

Update an asset type Parameters:
ParameterTypeRequiredDefaultDescription
idstringYesThe global unique identifier of the type.
typeobjectNoType which replaces the one with matching identifier on the server.
update_maskstringYesREQUIRED. The attributes (such as name etc.) you want to update for the type, specified in the parameters. For example, the update_mask=name parameter indicates that only the name will be updated in a request, any other attributes provided in your request body will be ignored.